"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var RDSDataClient_1 = require("./RDSDataClient");
var BatchExecuteStatementCommand_1 = require("./commands/BatchExecuteStatementCommand");
var BeginTransactionCommand_1 = require("./commands/BeginTransactionCommand");
var CommitTransactionCommand_1 = require("./commands/CommitTransactionCommand");
var ExecuteSqlCommand_1 = require("./commands/ExecuteSqlCommand");
var ExecuteStatementCommand_1 = require("./commands/ExecuteStatementCommand");
var RollbackTransactionCommand_1 = require("./commands/RollbackTransactionCommand");
var RDSData = /** @class */ (function (_super) {
    tslib_1.__extends(RDSData, _super);
    function RDSData() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RDSData.prototype.batchExecuteStatement = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchExecuteStatementCommand_1.BatchExecuteStatementCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDSData.prototype.beginTransaction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BeginTransactionCommand_1.BeginTransactionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDSData.prototype.commitTransaction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CommitTransactionCommand_1.CommitTransactionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDSData.prototype.executeSql = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ExecuteSqlCommand_1.ExecuteSqlCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDSData.prototype.executeStatement = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ExecuteStatementCommand_1.ExecuteStatementCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDSData.prototype.rollbackTransaction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RollbackTransactionCommand_1.RollbackTransactionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return RDSData;
}(RDSDataClient_1.RDSDataClient));
exports.RDSData = RDSData;
//# sourceMappingURL=RDSData.js.map