"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchExecuteStatement_1 = require("../model/operations/BatchExecuteStatement");
var BatchExecuteStatementCommand = /** @class */ (function () {
    function BatchExecuteStatementCommand(input) {
        this.input = input;
        this.model = BatchExecuteStatement_1.BatchExecuteStatement;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchExecuteStatementCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchExecuteStatementCommand;
}());
exports.BatchExecuteStatementCommand = BatchExecuteStatementCommand;
//# sourceMappingURL=BatchExecuteStatementCommand.js.map