"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BeginTransaction_1 = require("../model/operations/BeginTransaction");
var BeginTransactionCommand = /** @class */ (function () {
    function BeginTransactionCommand(input) {
        this.input = input;
        this.model = BeginTransaction_1.BeginTransaction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BeginTransactionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BeginTransactionCommand;
}());
exports.BeginTransactionCommand = BeginTransactionCommand;
//# sourceMappingURL=BeginTransactionCommand.js.map