"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CommitTransaction_1 = require("../model/operations/CommitTransaction");
var CommitTransactionCommand = /** @class */ (function () {
    function CommitTransactionCommand(input) {
        this.input = input;
        this.model = CommitTransaction_1.CommitTransaction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CommitTransactionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CommitTransactionCommand;
}());
exports.CommitTransactionCommand = CommitTransactionCommand;
//# sourceMappingURL=CommitTransactionCommand.js.map