"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ExecuteSql_1 = require("../model/operations/ExecuteSql");
var ExecuteSqlCommand = /** @class */ (function () {
    function ExecuteSqlCommand(input) {
        this.input = input;
        this.model = ExecuteSql_1.ExecuteSql;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ExecuteSqlCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ExecuteSqlCommand;
}());
exports.ExecuteSqlCommand = ExecuteSqlCommand;
//# sourceMappingURL=ExecuteSqlCommand.js.map