"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ExecuteStatement_1 = require("../model/operations/ExecuteStatement");
var ExecuteStatementCommand = /** @class */ (function () {
    function ExecuteStatementCommand(input) {
        this.input = input;
        this.model = ExecuteStatement_1.ExecuteStatement;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ExecuteStatementCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ExecuteStatementCommand;
}());
exports.ExecuteStatementCommand = ExecuteStatementCommand;
//# sourceMappingURL=ExecuteStatementCommand.js.map