"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RollbackTransaction_1 = require("../model/operations/RollbackTransaction");
var RollbackTransactionCommand = /** @class */ (function () {
    function RollbackTransactionCommand(input) {
        this.input = input;
        this.model = RollbackTransaction_1.RollbackTransaction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RollbackTransactionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RollbackTransactionCommand;
}());
exports.RollbackTransactionCommand = RollbackTransactionCommand;
//# sourceMappingURL=RollbackTransactionCommand.js.map