"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BeginTransactionInput_1 = require("../shapes/BeginTransactionInput");
var BeginTransactionOutput_1 = require("../shapes/BeginTransactionOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
var StatementTimeoutException_1 = require("../shapes/StatementTimeoutException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BeginTransaction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BeginTransaction",
    http: {
        method: "POST",
        requestUri: "/BeginTransaction"
    },
    input: {
        shape: BeginTransactionInput_1.BeginTransactionInput
    },
    output: {
        shape: BeginTransactionOutput_1.BeginTransactionOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        },
        {
            shape: StatementTimeoutException_1.StatementTimeoutException
        }
    ]
};
//# sourceMappingURL=BeginTransaction.js.map