"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CommitTransactionInput_1 = require("../shapes/CommitTransactionInput");
var CommitTransactionOutput_1 = require("../shapes/CommitTransactionOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CommitTransaction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CommitTransaction",
    http: {
        method: "POST",
        requestUri: "/CommitTransaction"
    },
    input: {
        shape: CommitTransactionInput_1.CommitTransactionInput
    },
    output: {
        shape: CommitTransactionOutput_1.CommitTransactionOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        }
    ]
};
//# sourceMappingURL=CommitTransaction.js.map