"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ExecuteStatementInput_1 = require("../shapes/ExecuteStatementInput");
var ExecuteStatementOutput_1 = require("../shapes/ExecuteStatementOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
var StatementTimeoutException_1 = require("../shapes/StatementTimeoutException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ExecuteStatement = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ExecuteStatement",
    http: {
        method: "POST",
        requestUri: "/Execute"
    },
    input: {
        shape: ExecuteStatementInput_1.ExecuteStatementInput
    },
    output: {
        shape: ExecuteStatementOutput_1.ExecuteStatementOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        },
        {
            shape: StatementTimeoutException_1.StatementTimeoutException
        }
    ]
};
//# sourceMappingURL=ExecuteStatement.js.map